import { ValueKind, BrsBoolean, BrsType, BrsValue } from "..";
import { BrsComponent } from "./BrsComponent";
export declare class RoHMAC extends BrsComponent implements BrsValue {
    readonly kind = ValueKind.Object;
    private hmac;
    private hmacAlgorithm;
    private hmacKey;
    constructor();
    toString(parent?: BrsType): string;
    equalTo(other: BrsType): BrsBoolean;
    setupHMAC(algorithm: string, key: Buffer): 0 | -1;
    updateData(data: Uint8Array): boolean;
    finalResult(): NonSharedBuffer;
    /** Initializes new HMAC context. */
    private readonly setup;
    /** Adds more data to be digested. The data in the array is added to the current digest. */
    private readonly update;
    /** Re-initializes an existing HMAC context to reuse it to authenticate new data. */
    private readonly reinit;
    /** Digests the data in an array generates a MAC. */
    private readonly process;
    /** Returns an roByteArray containing the final MAC. */
    private readonly final;
}
